#include <bits/stdc++.h>
#include <ext//pb_ds//assoc_container.hpp>

using namespace std;
using ll = long long;
using namespace __gnu_pbds;
using ordered_set = tree<ll, null_type, less_equal<>, rb_tree_tag, tree_order_statistics_node_update>;

int main() {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    int n, m, g;
    cin >> n >> m >> g;
    for (int i = 0; i < m; i++) {
        int u, v;
        cin >> u >> v;
    }
    cout << m - n + 1 << endl << 0;
    return 0;
}
